# IWisejWindow

Namespace: **Wisej.Core**

Assembly: **Wisej.Framework** (4.0.0.0)

All wisej top-level windows implement this interface.

{% tabs %}
{% tab title="C#" %}

```csharp
public interface IWisejWindow : IWisejControl, IWisejComponent, IDisposable, IComponent
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Interface IWisejWindow
    Inherits IWisejControl, IWisejComponent, IDisposable, IComponent
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Active

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns true if the window is active.

A [Page](/api/wisej.web/containers/wisej.web.page.md) is active when it is the [MainPage](/api/wisej.web/general/application.md#mainpage). A [Form](/api/wisej.web/containers/form.md) is active when it is above the other forms and matches [ActiveForm](/api/wisej.web/containers/form.md#activeform).

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) Activate()

Activates the window.

### ![](/files/hsR4ok3152WyAf8J2C1u) Close(reason)

Closes the window.

| Parameter  | Type                                                                   | Description                    |
| ---------- | ---------------------------------------------------------------------- | ------------------------------ |
| **reason** | [CloseReason](/api/wisej.web/containers/form/wisej.web.closereason.md) | Reason for closing the window. |

### ![](/files/hsR4ok3152WyAf8J2C1u) Show()

Shows the window.

## Implemented By

| Name                                                                                      | Description                                                                                                                                                           |
| ----------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [FileDialogUI](/api/wisej.web/common-dialogs/wisej.web.filedialogui.md)                   | UI implementation for the FileDialog class.                                                                                                                           |
| [FolderBrowserDialogUI](/api/wisej.web/common-dialogs/wisej.web.folderbrowserdialogui.md) | UI implementation for the FolderDialog class.                                                                                                                         |
| [Form](/api/wisej.web/containers/form.md)                                                 | Represents a window or dialog box that makes up an application's user interface.                                                                                      |
| [Page](/api/wisej.web/containers/wisej.web.page.md)                                       | Represents a web page that fills the browser and acts as the main container for the application. An application can have only one active main page at any given time. |
| [Desktop](/api/wisej.web/containers/desktop.md)                                           | Represents a desktop container that can host floating windows.                                                                                                        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.core/interfaces/wisej.core.iwisejwindow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
